import * as i0 from '@angular/core';
import { Directive, Input, HostListener, NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

class FallbackImageDirective {
    constructor(el) {
        this.el = el;
        this.pvFallbackImage = 'https://images.poshvine.com/fallback.webp';
    }
    onError() {
        const element = this.el.nativeElement;
        element.src = this.pvFallbackImage;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.8", ngImport: i0, type: FallbackImageDirective, deps: [{ token: i0.ElementRef }], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.2.8", type: FallbackImageDirective, selector: "[pvFallbackImage]", inputs: { pvFallbackImage: "pvFallbackImage" }, host: { listeners: { "error": "onError()" } }, ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.8", ngImport: i0, type: FallbackImageDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[pvFallbackImage]',
                }]
        }], ctorParameters: () => [{ type: i0.ElementRef }], propDecorators: { pvFallbackImage: [{
                type: Input
            }], onError: [{
                type: HostListener,
                args: ['error']
            }] } });

class FallbackImageModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.8", ngImport: i0, type: FallbackImageModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.2.8", ngImport: i0, type: FallbackImageModule, declarations: [FallbackImageDirective], imports: [CommonModule], exports: [FallbackImageDirective] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.2.8", ngImport: i0, type: FallbackImageModule, imports: [CommonModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.8", ngImport: i0, type: FallbackImageModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [CommonModule],
                    declarations: [FallbackImageDirective],
                    exports: [FallbackImageDirective],
                }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { FallbackImageDirective, FallbackImageModule };
//# sourceMappingURL=pv-frontend-pv-shared-directives-image-fallback.mjs.map
